import java.io.*;

// read a class file
public class rc {
   public static void main(String args[])  
   throws Exception {
      RandomAccessFile raf = new RandomAccessFile("HelloWorld.class", "r");
      int magic = raf.readInt();
      raf.close();
      System.out.println("magic == " + magic);
      System.out.flush();
      if(magic == 0xCAFEBABE) {
         System.out.println("magic...");
         System.out.flush();
      }
   }
}
